package org.jeecg.pm.hikvision.sdk.request.vss.playback;

import com.chanjx.utils.HttpMethod;
import org.apache.http.entity.ContentType;
import org.jeecg.pm.hikvision.sdk.entity.body.vss.playback.HikvisionGetPlaybackParamByPlanUuid;
import org.jeecg.pm.hikvision.sdk.request.HikvisionAbstractRequest;
import org.jeecg.pm.hikvision.sdk.response.vss.playback.HikvisionGetPlaybackParamByPlanUuidResponse;
import org.jeecg.pm.hikvision.sdk.result.vss.playback.HikvisionGetPlaybackParamByPlanUuidResult;

/**
 * <p>
 *
 * </p>
 *
 * @author 陈俊雄
 * @since 2022/3/24
 */
public class HikvisionGetPlaybackParamByPlanUuidRequest extends HikvisionAbstractRequest<HikvisionGetPlaybackParamByPlanUuidResponse, HikvisionGetPlaybackParamByPlanUuidResult> {

    public HikvisionGetPlaybackParamByPlanUuidRequest(HikvisionGetPlaybackParamByPlanUuid hikvisionGetPlaybackParamByPlanUuid) {
        super(hikvisionGetPlaybackParamByPlanUuid);
    }

    @Override
    public ContentType getContentType() {
        return ContentType.APPLICATION_JSON;
    }

    @Override
    public Class<HikvisionGetPlaybackParamByPlanUuidResponse> getResponseClazz() {
        return HikvisionGetPlaybackParamByPlanUuidResponse.class;
    }

    @Override
    public Class<HikvisionGetPlaybackParamByPlanUuidResult> getResultClazz() {
        return HikvisionGetPlaybackParamByPlanUuidResult.class;
    }

    @Override
    public HttpMethod getHttpMethod() {
        return HttpMethod.POST;
    }

    @Override
    public String getReqPath() {
        return "/openapi/service/vss/playback/getPlaybackParamByPlanUuid";
    }

}
